/***************************************************************************
                          kacpi.cpp  -  description
                             -------------------
    begin                : Fri Mar 29 22:22:11 CET 2002
    copyright            : (C) 2002,2003 by Jonas Genannt
    email                : jonasge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "kapacity.h"
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <kwin.h>
#include <kconfig.h>
#include <qsizepolicy.h>
#include <stdio.h>
int main( int argc, char **argv )
{
int dwidth, dheight;

  KAboutData aboutData("kapacity","Kapacity","0.1a","\nThanks for using Kapacity.\nKapacity shows the Batterystate.", KAboutData::License_GPL_V2, "(c) 2002-2003, Jonas Genannt", "Please note that this program cares NO warranty! Use at your own risk!", "http://kapacity.berlios.de" );
  aboutData.addAuthor("Jonas Genannt", "", "jonasge@gmx.net");
  aboutData.addAuthor("Hartwig Felger", "", "hgfelger@hgfelger.de");
  
  
  aboutData.addCredit("Ruggero T.", "italian translation", "ruggero@valtellinux.it");
  aboutData.addCredit("Bron", "english language", "bronmach@shaw.ca");
  aboutData.addCredit("Fabrice FRANCOIS", "frensh translation", "FaFRANCOIS@wanadoo.fr");
  aboutData.addCredit("Pavel Vondricka", "cs translation", "pavel.vondricka@ff.cuni.cz");
  aboutData.addCredit("Ricardo Pedro", "kapacity main icon","ricardo@soferragens.pt");
  aboutData.addCredit("Christoph Weber", "kapacity batt icnos", "weber_christoph@web.de");
  aboutData.addCredit("Steve Varadi", "hungarian language", "svaradi@freemail.hu");
  aboutData.addCredit("Ulrich Poeschl", "Kapacity the name", "");

  KCmdLineArgs::init(argc, argv, &aboutData);
  KApplication a;
  kapacity *w = new kapacity();
  dwidth = KApplication::desktop()->width();
  dheight = KApplication::desktop()->height();
  dwidth = dwidth - 400;
  dheight = dheight - 420 - 90;
  w->setGeometry(dwidth,dheight,400,430);
  w->setMinimumSize(QSize(400,200));
  w->setFixedSize(400,430);


  a.setMainWidget( w );

KConfig* config = kapp->config();
if (config->readBoolEntry("dock_panel", false))
  {
   w->hide();
  }
else
  {
   w->show();
  }

  return a.exec();
}



